#ifndef _TEST_APP
#define _TEST_APP

#include "ofMain.h"
#include "particle.h"
#include "stroke.h"
#include "ofxControlPanel.h"


class testApp : public ofSimpleApp{

	public:

		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased (int key);

		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);

		ofTrueTypeFont testFont;
		ofTrueTypeFont testFont2;
		vector <particle> Mpts;
		
		ofTTFCharacter testChar2;
		ofTTFCharacter testChar;
	
		ofxControlPanel panel;
	
	
		stroke resampler;
		stroke resampler2;		// target letter
	
	
};	

#endif

